// packages.
const config = require("config");

const express = require("express");
const app = express();
app.use(express.json());
// application routes.
app.use("/api", require("./src/api/routes"));

// driver code.
const host = config.get("app.dev.host");
const port = config.get("app.dev.port");
app.listen(port, () => {
  console.log(`App available at http://${host}:${port}`);
});
